%define texmf       %{_datadir}/texmf
%define tdsname     lgrind
%define itexhash    $RPM_INSTALL_PREFIX/bin/texhash
%define itexmf      $RPM_INSTALL_PREFIX/share/texmf

Summary:          Source-code pretty-printer for LaTeX
Name:             tetex-lgrind
Version:          3.67
Release:          9%{?dist}
URL:              http://www.ctan.org/tex-archive/help/Catalogue/entries/lgrind.html
License:          BSD
Group:            Applications/Publishing
# NOTE: This tarball cannot be verified directly as it is
# automatically generated by the FTP site. To verify the file, the
# file contained in the tarballs have to be verified one by one.
Source0:          ftp://ftp.dante.de/tex-archive/support/lgrind.tar.gz
Patch0:           lgrind-3.67-parsevartab.patch
Patch1:           lgrind-3.67-options.patch
Patch2:           lgrind-3.67-buffersize.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post):   tetex
Requires(postun): tetex
Requires:         tetex-latex
BuildRequires:    tetex-latex, perl
Prefix:           %{_prefix}

%description
LGrind prepares programming language source code for pretty-printing
within LaTeX. Options for producing includable files and processing
embedded listings in LaTeX texts are provided. Supported languages
include C, C++, Pascal, BASIC, Modula-2, Fortran, RATFOR Yacc,
PostScript, Prolog, MLisp, Icon, LaTeX, Perl, CSH Bourne Shell,
assembler, 68000 assembler, asm68 VMS assembler, ISP, LDL, Linda,
MODEL, MatLab, and Russell.

%prep
%setup -q -n lgrind
%patch0 -p1 -b .parsevartab
%patch1 -p1 -b .options
%patch2 -p1 -b .buffersize

%build
make %{?_smp_mflags} \
  CFLAGS="%{optflags}" \
  DEFSFILE=%{texmf}/tex/latex/%{tdsname}/lgrindef

# Quick and dirty patching of man pages.
perl -pi -e 's|/usr/lib/texmf/|/usr/share/texmf|' source/lgrind.1
perl -pi -e 's|/usr/TeX/texmf/|/usr/share/texmf|' source/lgrindef.5

%install
rm -rf %{buildroot}

# Install TeX files.
mkdir -p %{buildroot}%{texmf}/tex/latex/%{tdsname}/
install -p -m 644 lgrind.sty %{buildroot}%{texmf}/tex/latex/%{tdsname}/
install -p -m 644 lgrindef %{buildroot}%{texmf}/tex/latex/%{tdsname}/

# Install LaTeX package doc file.
mkdir -p %{buildroot}%{texmf}/doc/latex/%{tdsname}/
install -p -m 644 lgrind.dvi %{buildroot}%{texmf}/doc/latex/%{tdsname}/

# Install binaries.
mkdir -p %{buildroot}%{_bindir}/
install -p -m 755 source/lgrind %{buildroot}%{_bindir}/

# Install man pages.
mkdir -p %{buildroot}%{_mandir}/man{1,5}
install -p -m 644 source/lgrind.1 %{buildroot}%{_mandir}/man1
install -p -m 644 source/lgrindef.5 %{buildroot}%{_mandir}/man5

%clean
rm -rf %{buildroot}

%post
%{itexhash} %{itexmf} > /dev/null

%postun
%{itexhash} %{itexmf} > /dev/null

%files
%defattr(-,root,root,-)
%doc README FAQ
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{texmf}/tex/latex/%{tdsname}
%{texmf}/doc/

%changelog
* Tue Aug 23 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 3.67-9
- Fix many segfaults in parsing of options (#166519).
- Fix fgets buffersize in lgutil.c.

* Thu Aug  4 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 3.67-8
- Install the dvi file where it can be found by texdoc.
- URL updated.
- disttag added.

* Sat Jul 23 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 3.67-7
- Fix "missing expression in return statement" (#150297).

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 3.67-6
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Mar  4 2005 Ville Skyttä <ville.skytta at iki.fi>
- Split context marked dependency syntax to work around #118773.

* Fri May  2 2003 Marius Johndal <mariuslj at ifi.uio.no> 0:3.67-0.fdr.4
- Invoke make with %{?_smp_mflags} and from top-level directory to get
  defines right.

* Fri May  2 2003 Marius Johndal <mariuslj at ifi.uio.no> 0:3.67-0.fdr.3
- Honour %{optflags}.
- BuildRequires: perl.
- PreReq -> Requires(post,postun).
- setup -q.

* Sat Apr  5 2003 Marius Johndal <mariuslj at ifi.uio.no> 3.67-0.fdr.2
- Added missing lgrindef file.
- Added epoch.

* Thu Mar  6 2003 Marius Johndal <mariuslj at ifi.uio.no> 3.67-0.fdr.1
- Initial RPM release.
